com.corticon.rulesemf.canonicalrulemodel.rulesheet

## Interface RulesheetFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RulesheetFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `RulesheetPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RulesheetFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `createAction()` Returns a new object of class 'Action'
    `Condition` | `createCondition()` Returns a new object of class 'Condition'
    `EffectivityRange` | `createEffectivityRange()` Returns a new object of class 'Effectivity Range'
    `Filter` | `createFilter()` Returns a new object of class 'Filter'
    `LogicalVariable` | `createLogicalVariable()` Returns a new object of class 'Logical Variable'
    `PRule` | `createPRule()` Returns a new object of class 'PRule'
    `PRuleset` | `createPRuleset()` Returns a new object of class 'PRuleset'
    `ReferencedAttribute` | `createReferencedAttribute()` Returns a new object of class 'Referenced Attribute'
    `RulesheetString` | `createRulesheetString()` Returns a new object of class 'String'
    `RuleStatement` | `createRuleStatement()` Returns a new object of class 'Rule Statement'
    `ViewExpressions` | `createViewExpressions()` Returns a new object of class 'View Expressions'
    `RulesheetPackage` | `getRulesheetPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final RulesheetFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createAction

          Action createAction()

      Returns a new object of class 'Action'.
      Returns:
        a new object of class 'Action'.

    - #### createCondition

          Condition createCondition()

      Returns a new object of class 'Condition'.
      Returns:
        a new object of class 'Condition'.

    - #### createEffectivityRange

          EffectivityRange createEffectivityRange()

      Returns a new object of class 'Effectivity Range'.
      Returns:
        a new object of class 'Effectivity Range'.

    - #### createFilter

          Filter createFilter()

      Returns a new object of class 'Filter'.
      Returns:
        a new object of class 'Filter'.

    - #### createLogicalVariable

          LogicalVariable createLogicalVariable()

      Returns a new object of class 'Logical Variable'.
      Returns:
        a new object of class 'Logical Variable'.

    - #### createPRule

          PRule createPRule()

      Returns a new object of class 'PRule'.
      Returns:
        a new object of class 'PRule'.

    - #### createPRuleset

          PRuleset createPRuleset()

      Returns a new object of class 'PRuleset'.
      Returns:
        a new object of class 'PRuleset'.

    - #### createRuleStatement

          RuleStatement createRuleStatement()

      Returns a new object of class 'Rule Statement'.
      Returns:
        a new object of class 'Rule Statement'.

    - #### createRulesheetString

          RulesheetString createRulesheetString()

      Returns a new object of class 'String'.
      Returns:
        a new object of class 'String'.

    - #### createReferencedAttribute

          ReferencedAttribute createReferencedAttribute()

      Returns a new object of class 'Referenced Attribute'.
      Returns:
        a new object of class 'Referenced Attribute'.

    - #### createViewExpressions

          ViewExpressions createViewExpressions()

      Returns a new object of class 'View Expressions'.
      Returns:
        a new object of class 'View Expressions'.

    - #### getRulesheetPackage

          RulesheetPackage getRulesheetPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.